#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kalk
Version: 23.04.1
Release:        %mkrel %{rel}
Summary:        Convergent calculator for Plasma
Group:          Graphical desktop/KDE
License:        GPLv3+
Url:            https://apps.kde.org/kalk/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  pkgconfig(mpfr)

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5QuickCompiler)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Xml)

BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5UnitConversion)
BuildRequires:  cmake(KF5Kirigami2)

Requires:       kirigami2

%description
Kalk is a convergent calculator application built with the
Kirigami framework. Although it is mainly targeted for
mobile platforms, it can also be used on the desktop.

%files -f %{name}.lang
%license LICENSES/*
%{_kf5_bindir}/%{name}
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_iconsdir}/hicolor/scalable/apps/org.kde.%{name}.svg
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml

#------------------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Tue May 30 2023 daviddavid <daviddavid> 23.04.1-1.mga9
+ Revision: 1959971
- initial package kalk

